Subject: Crossroads Coffee Houise Cross Plains
From: "Jim Kirchstein" <[email-masked]>
To: "ADS Mary and David" <[email-masked]>
Date: Wed, 25 Jan 2012 15:21:00 -0600

Hi...I stopped at the above and talked with Mary Devitt, who is the proprietor. She sounded very interested in David's readings, etc.
She talked for quite a while concerning her knowledge of Derleth. Their reading program is mainly during warmer months and have been very successful.
She indicated of some readers having grants and had some sponsorship comments which I didn't elaborate on since I'm unfamiliar with that part.
You could someday stop by and visit with her. Her phone number is 608 798 2080 and her email is crossroadscoffeehouse.net. She gave me a booklet that outlines some of their local programs which I'll get to you Sunday or mail.
Good luck..